#!/bin/bash

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

## Metodo usato nello script
## opzioni di compressione possibili:
# -dPDFSETTINGS=/screen (screen-view-only quality, 72 dpi images)
# -dPDFSETTINGS=/ebook (low quality, 150 dpi images)
# -dPDFSETTINGS=/printer (high quality, 300 dpi images)
# -dPDFSETTINGS=/prepress (high quality, color preserving, 300 dpi imgs)
# -dPDFSETTINGS=/default (almost identical to /screen)

# Ricavo un file tentando una compressione diretta del file in entrata 
gs -sDEVICE=pdfwrite -dCompatibilityLevel=1.4 -dPDFSETTINGS=/ebook -dNOPAUSE -dQUIET -dBATCH -sOutputFile=${_directory}/compresso_${_filename} $_newName



